Un utente ha chiesto informazioni su Petfinder Listings di Wordpress

Aggiornamento API Petfinder alla V 2.0

Un utente ha chiesto 👇

Ciao, utilizziamo il plug-in petfinder da un po ‘di tempo ed è stato un grande vantaggio. Abbiamo ricevuto un paio di email da Petfinder che dicevano di aver aggiornato l’API alla V 2.0 e volevamo chiedere se Petfinder Listings supporterà questa nuova API ????

Grazie, il plugin ci ha aiutato moltissimo nel corso degli anni. Vedi sotto:

“Grazie per essere un prezioso utente dell’API Petfinder. Siamo lieti di annunciare che una nuova versione dell’API, la versione 2.0, è ora disponibile all’indirizzo https://www.petfinder.com/developers/

Dovrai registrarti per una nuova chiave API e aggiornare le applicazioni esistenti per utilizzare la versione 2.0.

A partire dal 20/1/2020, Petfinder non supporterà più le versioni precedenti dell’API. Ti invitiamo ad aggiornare tutti i tuoi progetti di sviluppo alla nuova versione con largo anticipo per evitare problemi agli utenti.

Consulta la nostra documentazione API su https://www.petfinder.com/developers/v2/docs/ per maggiori informazioni. Se hai bisogno di assistenza, contatta help@petfinder.com per qualsiasi domanda. “

Grazie,
Helpdesk di Petfinder
Petfinder.com

(@akaalvin)

1 anno, 5 mesi fa

Ho provato ad aggiornare con una nuova chiave API qualche giorno fa e non funzionerà più, quindi ho dovuto ripristinare la mia vecchia chiave API. Spero che ci sia una risposta su come utilizzare la nuova API con il plug-in prima di 1/20. Per favore pubblica qui se qualcuno conosce una soluzione.

(@alenczewski)

1 anno, 5 mesi fa

Anche a me. Apprezzeremmo qualsiasi aggiornamento su questo.

Lanciatore di thread

(@ greg1usa)

1 anno, 4 mesi fa

L’autrice ha risposto a un’e-mail che ho inviato e ha detto che intendeva aggiornare il plug-in ed era molto impegnata. Mi ha detto che ci sarà un aggiornamento prima della data limite.

Autore del plugin

(@bridgetwes)

1 anno, 3 mesi fa

Salve, ho aggiornato il plug-in Petfinder Listings per utilizzare l’API Petfinder v2.0. Se disponi della chiave della versione 1.0, continuerà a funzionare come dopo l’aggiornamento. Dopo l’aggiornamento alla versione 1.0.13, è disponibile un’impostazione per la chiave e il segreto dell’API Petfinder v2.0, che puoi trovare qui: https://www.petfinder.com/developers/ (questo collegamento è indicato anche nella pagina delle impostazioni dell’elenco di Petfinder).

Tieni presente che una volta impostate le chiavi API v2.0, non verrà più visualizzata una descrizione completa del tuo animale domestico. Petfinder lancia un estratto dei rapporti sugli animali domestici nell’API v2.0. Ho inviato un’e-mail a help@petfinder.com per confermare che questo comportamento è previsto con API v2.0. Mantengo i miei siti sull’API v1.0 fino a quando non smette di funzionare perché penso che i rapporti sugli animali domestici siano importanti. Tuttavia, non è più possibile generare chiavi API v1.0, quindi se non ne hai una, devi utilizzare API v2.0 e la v1.0 dovrebbe smettere di funzionare a gennaio 2020. Chiama email @ petfinder.com e chiedi loro di restituire il rapporto completo sugli animali domestici nell’API v2.0. Ho incluso un collegamento all’animale domestico su Petfinder dopo il rapporto abbreviato, ma sembra una seccatura per i tuoi potenziali adottanti.

(@pentechcoach)

1 anno, 3 mesi fa

Sto lavorando a un nuovo sito Web, quindi non ho una chiave v 1.0. Ho il plugin installato e tutto è installato correttamente. Quando premo Salva modifiche tutti i campi vengono riempiti con “Y”, se seleziono “Powered by Petfinder”.

Se non seleziono tutti i campi non vengono riempiti con “N”.

Se non seleziono nessuno dei due, i campi vengono ordinati in base all’ultima opzione selezionata.

Sto eseguendo WP 5.3.1, tema Divi

Grazie mille per il vostro aiuto.

Autore del plugin

(@bridgetwes)

1 anno, 3 mesi fa

Ciao @ pentechcoach, puoi collegarti a uno screenshot (puoi condividere con lui https://snipboard.io/) dei campi compilati con “Y” e “N”? Non sto seguendo la tua descrizione di ciò che sta accadendo. Inoltre, potresti provare a passare a uno dei temi WordPress – TwentyTwenty o TwentyNineteen per vedere se cambia questo comportamento che stai vedendo?

(@pentechcoach)

1 anno, 3 mesi fa

Ciao, grazie per essere tornato da me così velocemente. Apprezzo il vostro aiuto.

L’immagine è qui – https://snipboard.io/fW2xHp.jpg

Per passare a un altro tema, devo prima clonare il sistema, poiché viene utilizzato.

Ho anche notato che quando ho spostato l’API dalla versione 1 alla 2 su un altro sito che conservo, il Pet Widget ha smesso di funzionare, quindi sono tornato alla versione 1.

C’è forse un sito in Petfinder che non ho impostato correttamente?

Farò anche una foto lì.

Grazie ancora!

Autore del plugin

(@bridgetwes)

1 anno, 3 mesi fa

È davvero strano. Se riesci a clonare, prova anche a disabilitare tutti gli altri plugin per scoprire quale altro plugin è. Dove stai ospitando?

Per l’altro sito, hai provato a reimpostare / modificare il Pet Widget in primo piano o a rimuovere e ripristinare il widget?

(@pentechcoach)

1 anno, 3 mesi fa

Ciao Bridget –

Ok, clonerò e disabiliterò tutto tranne gli elenchi di Petfinder e vedrò se funziona. Ospitiamo Liquid Web LLC: non ho mai lavorato con quella società. Ho richiesto un clone per un esperimento dal nostro amministratore.

Sull’altro sito non ho eseguito alcun debug – sono tornato alla v1 perché funziona bene. Sono molto impegnato a creare un nuovo gruppo di soccorso, quindi qualcuno deve aspettare.

Ti terrò per posta. Grazie ancora!

(@pentechcoach)

1 anno, 3 mesi fa

Ciao Bridget –

I nostri amministratori di sistema hanno fatto ciò che hai suggerito e volevo condividere questo …

Non credo proprio che sia un problema con la spina. Ho eseguito il backup del database e poi ho disattivato tutti i plugin. Quindi ho provato a modificare le impostazioni senza fortuna.

Sto controllando i log degli errori e questo è ciò che ricevo. Puoi inoltrarlo allo sviluppatore, per favore?

[14-Dec-2019 13:40:00 UTC] Avviso PHP: array_key_exists () si aspetta array di parametri 2, cavo fornito in /home/teddy12/public_html/wp-content/plugins/petfinder-listings/petfinder-listings.php online 628
[14-Dec-2019 13:40:00 UTC] Avviso PHP: filo illegale offset ‘apikey’ in /home/teddy12/public_html/wp-content/plugins/petfinder-listings/featuredpet-widget.php online 131
[14-Dec-2019 13:40:00 UTC] Avviso PHP: offset della stringa “Shelter_id” illegale in /home/teddy12/public_html/wp-content/plugins/petfinder-listings/featuredpet-widget.php online 131

Grazie ancora per il vostro aiuto!

(@lisatcr)

1 anno, 3 mesi fa

Ciao! Ho lo stesso problema con pentechcoach in cui i primi 4 campi eseguono le impostazioni di riempimento automatico con “Y” e non mantengono alcun valore inserito.
Ho aggiunto questa scorciatoia [shelter_list shelter_id=”NJ736″ count=200 include_info=”no”] in una pagina WP. Durante l’anteprima, mostrava questo messaggio:
Petfinder è inattivo al momento. Per favore ricontrolla a breve.
Codice di errore restituito: 300
Grazie per tutta l’assistenza che puoi fornire. Adoriamo questo plugin!

Autore del plugin

(@bridgetwes)

1 anno, 3 mesi fa

Ah, ho la domanda. Grazie per aver aiutato a eseguire il debug di questo. Stavo lavorando / testando su siti in cui le impostazioni erano già state salvate e ho perso questo problema che si verifica se salvi le impostazioni per la prima volta. Se esegui l’aggiornamento all’ultima versione del plug-in, ora dovresti essere in grado di salvare le tue impostazioni.

(@lisatcr)

1 anno, 3 mesi fa

Ciao Bridget,
Grazie mille per la tua rapida risposta!
Sono felice di dire che il widget per animali domestici sembra funzionare ora !!
Purtroppo la pagina WP con il collegamento [shelter_list shelter_id=”NJ736″ count=200 include_info=”no”] Questo messaggio ora mostra: Nessun animale disponibile in questo momento.
Grazie ancora!

Autore del plugin

(@bridgetwes)

1 anno, 3 mesi fa

Ciao @lisatcr – Gli errori di Petfinder sono simili se imposti il ​​conteggio a più di 100. Prova:

[shelter_list shelter_id="NJ736" count=50 include_info="no" ]

Ricevo un animale domestico con quella scorciatoia che inizia con gatti chiamati “Drifter” e “Trickster”

(@lisatcr)

1 anno, 3 mesi fa

Interessante. Fill 200 funziona perfettamente sul “vecchio sito”: http://www.trentoncats.org/our-adoptable-cats/ utilizzando la vecchia API.

Non abbiamo quasi mai meno di 100 gatti ammissibili. Non credo che il salvataggio sarà molto felice se non possiamo mostrarli tutti. Forse potremmo fare qualcosa con una pagina?

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *